# No point in trying to build a debuginfo package since
# the package only has static libraries and find-debuginfo.sh
# does not grok them
%global debug_package %{nil}

Summary: Library for reading RAW files obtained from digital photo cameras
Name: LibRaw
Version: 0.9.1
Release: 9%{?dist}
License: LGPLv2 or CDDL
Group: Development/Libraries
URL: http://www.libraw.org

#BuildRequires: lcms-devel >= 1.0

Source0: http://www.libraw.org/data/%{name}-%{version}.tar.gz

# Configuration support. Patch sent upstream
Patch0: %{name}-0.9.1-configure.patch

# Use optflags for build
Patch1: %{name}-0.9.1-configure-optflags.patch

# Don't impose -O4 and -w
Patch2: %{name}-0.9.1-configure-default-cflags.patch

%description
LibRaw is a library for reading RAW files obtained from digital photo
cameras (CRW/CR2, NEF, RAF, DNG, and others).

LibRaw is based on the source codes of the dcraw utility, where part of
drawbacks have already been eliminated and part will be fixed in future.

%package devel
Provides: LibRaw-static = %{version}-%{release}
Summary: LibRaw development libraries
Group: Development/Libraries
#Requires: lcms-devel >= 1.0

%description devel
LibRaw development libraries

This package contains static libraries that applications can use to build
against LibRaw. LibRaw does not provide dynamic libraries.

%prep
%setup -q

%patch0 -p1 -b .configure
%patch1 -p1 -b .configure-optflags
%patch2 -p1 -b .configure-default-cflags

%build
# This is not the autotools generated configure script
CFLAGS="%{optflags} -fPIC" sh configure -P %{_prefix}
make %{?_smp_mflags}

%install
cp -pr doc manual

# The source tree has these with execute permissions for some reason
chmod 644 LICENSE.CDDL LICENSE.LGPL LICENSE.LibRaw.pdf

# The Libraries
make install DESTDIR=%{buildroot} LIBDIR=%{_lib}

%files devel
%defattr(-,root,root,-)

%doc LICENSE.CDDL LICENSE.LGPL COPYRIGHT Changelog.txt Changelog.rus
%doc manual

%dir %{_includedir}/libraw
%{_includedir}/libraw/*.h
%{_libdir}/libraw.a
%{_libdir}/libraw_r.a

%changelog
* Sat Nov 13 2010 Siddhesh Poyarekar <siddhesh.poyarekar@gmail.com> 0.9.1-9
- Build position independent object code

* Sun Jul 08 2010 Siddhesh Poyarekar <siddhesh.poyarekar@gmail.com> 0.9.1-8
- Remove LibRaw license since we're not distributing LibRaw under its terms

* Sun Jul 07 2010 Siddhesh Poyarekar <siddhesh.poyarekar@gmail.com> 0.9.1-7
- Buildroot is unnecessary
- Corrected license to LGPLv2 or CDDL

* Sun Jul 04 2010 Siddhesh Poyarekar <siddhesh.poyarekar@gmail.com> 0.9.1-6
- Do not impose -O4 and -w in build options
- Change package group to Development/Libraries
- Corrected license to LGPLv2
- setup macro no longer needs the name and version arguments
- Rename patches to include name and version

* Wed Jun 30 2010 Siddhesh Poyarekar <siddhesh.poyarekar@gmail.com> 0.9.1-5
- Use optflags for build
- Install the documentation in a cleaner way

* Tue Jun 29 2010 Siddhesh Poyarekar <siddhesh.poyarekar@gmail.com> 0.9.1-4
- Use upstream package name (libRaw) instead of libraw

* Tue Jun 29 2010 Siddhesh Poyarekar <siddhesh.poyarekar@gmail.com> 0.9.1-3
- Remove the clean section since it is not needed in F-13 and later
- Correct installation of docs into defaultdocdir instead of docdir

* Fri Jun 10 2010 Siddhesh Poyarekar <siddhesh.poyarekar@gmail.com> 0.9.1-2
- Disable lcms and openmp support by default so that we're in line with
  upstream default

* Fri Jun 04 2010 Siddhesh Poyarekar <siddhesh.poyarekar@gmail.com> 0.9.1-1
- New package

